POST api/v1/ChildVaccineStatus

Request Information

URI Parameters

None.

Body Parameters

ChildVaccineStatus
NameDescriptionTypeAdditional information
Id

integer

None.

ChildId

integer

None.

VaccineScheduleId

integer

None.

IsDone

boolean

None.

DoneAt

date

None.

Notes

string

None.

CreatedAt

date

None.

UpdatedAt

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "childId": 2,
  "vaccineScheduleId": 3,
  "isDone": true,
  "doneAt": "2026-04-18T15:04:35.2879129+03:00",
  "notes": "sample string 5",
  "createdAt": "2026-04-18T15:04:35.2879129+03:00",
  "updatedAt": "2026-04-18T15:04:35.2879129+03:00"
}

application/xml, text/xml

Sample:
<ChildVaccineStatus xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase">
  <ChildId>2</ChildId>
  <CreatedAt>2026-04-18T15:04:35.2879129+03:00</CreatedAt>
  <DoneAt>2026-04-18T15:04:35.2879129+03:00</DoneAt>
  <Id>1</Id>
  <IsDone>true</IsDone>
  <Notes>sample string 5</Notes>
  <UpdatedAt>2026-04-18T15:04:35.2879129+03:00</UpdatedAt>
  <VaccineScheduleId>3</VaccineScheduleId>
</ChildVaccineStatus>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.